Package relaxngcc.datatype

# Class DatatypeLibrary

java.lang.Object
relaxngcc.datatype.DatatypeLibrary

public final class DatatypeLibrary extends Object
Represents a RELAX NG datatype library

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`Datatype`
`getDatatype(String name)`
Returns the datatype object by its name.
`String`
`getNamespaceUri()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getNamespaceUri

public String getNamespaceUri()

### getDatatype

public Datatype getDatatype(String name)
Returns the datatype object by its name. If the definition of the datatype is not given, this method returns Datatype.NOOP.

Returns:
  always return a non-null valid object.